# cngf-pf

This project contains a 1d implementation of the Henann and Kamrin
2013[1] model under simple shear, with various extensions such as
diffusive fluid coupling and cohesion.  The granular material is
assumed to be in the critical state with constant porosity.  A
transient option with non-constant porosity is under development
(option -T).

## Compiling and installing
Requirements are a C99-compatible compiler (e.g. `gcc` or `clang`).
Run `make` and `make install` to install the programs and their man
pages.

If you want to show debug output during runtime, compile with
`CFLAGS=-DDEBUG make`.

## Usage
See `man cngf-pf`, `man max_deformation_depth` and `man
shear_flux` for usage information.

## Results
A paper with model results is publically available[2].

## Author
Anders Damsgaard <anders@adamsgaard.dk>
https://src.adamsgaard.dk/cngf-pf
ISC licensed, see LICENSE for details.

## References
[1]: https://doi.org/10.1073/pnas.1219153110
[2]: https://doi.org/10.1038/s43247-020-00074-7
