#!/usr/bin/env gnuplot

set terminal pdfcairo color size 17.8 cm, 10.0 cm font ",10"

set colorsequence podo
set multiplot

file_interval=60*10
plot_interval=60*60
inc=plot_interval/file_interval
L_z=8.0
set yrange [4.0:0.0]
set ytics 1.0

t0 = 48*inc - 1
tend = 72*inc - 1

filename(t) = sprintf('sim.output%05d.txt', t)
#set origin 0.095, 0.09
#set size 0.14, 0.23
set xlabel "{/:Normal Water pressure [kPa]}" font ",8" offset 0,1.3
set ylabel ""
unset arrow
xmin = 0
xmax = 200.0
set arrow from xmin,skin_depth to xmax,skin_depth nohead lc black front
set xrange [xmin:xmax]
set xtics 100 offset 0,0.5
set ytics 2 offset 0.5
plot for [t = t0:tend:inc*2] filename(t) u ($4/1e3):(L_z - $1):(t*file_interval/(24.*3600.)) w l lc palette lw 1 t ""
